These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

EVE Technology Lab

 
  • Topic is locked indefinitely.
 

phpBB 3.x API Registration Mod v6+

Author
Asthariye
Angry Mustellid
Lost Obsession
#761 - 2013-04-21 17:11:33 UTC  |  Edited by: Asthariye
[edit: never mind, I figured it out]
Eldar Cordor
Aliastra
Gallente Federation
#762 - 2013-04-22 16:25:01 UTC
Hi.
I have problem. When I try to registrate new user on my forum, show error : Character not found -> "user_name"
KeyID & vCode I verified in other apps.
in what could be the problem?
Dex Thiesant
Concordiat
Pandemic Horde
#763 - 2013-04-23 20:32:13 UTC
Eldar Cordor wrote:
Hi.
I have problem. When I try to registrate new user on my forum, show error : Character not found -> "user_name"
KeyID & vCode I verified in other apps.
in what could be the problem?


Their username has to be the same name as the character on the key. For example, when I registered with my key my username had to be "Dex Thiesant".
Zella Polaris
Pitchfork Uprising Holdings
#764 - 2013-04-24 19:03:19 UTC
I have a problem. Site was working fine, didn't change anything, when all the sudden the cron appears to now longer work properly:

Quote:
Standings Character -> Zella Polaris EVE API HTTP error: 404 -> Not Found


And not just for standings, but for each character. What happened? Is the EVE API site down? Or did something get fubared within my site without me touching it?

Pitchfork Militia, part of Catastrophic Uprising, is recruiting. 0.0 SOV, emphasis on PvP, NBSI

Dex Thiesant
Concordiat
Pandemic Horde
#765 - 2013-04-24 20:24:33 UTC
Zella Polaris wrote:
I have a problem. Site was working fine, didn't change anything, when all the sudden the cron appears to now longer work properly:

Quote:
Standings Character -> Zella Polaris EVE API HTTP error: 404 -> Not Found


And not just for standings, but for each character. What happened? Is the EVE API site down? Or did something get fubared within my site without me touching it?


The API being down is most likely the cause. I've been receiving errors with EveMon that suggest the same thing.
Cyerus
Eternal Strife
#766 - 2013-04-24 20:26:09 UTC  |  Edited by: Cyerus
Zella Polaris wrote:
I have a problem. Site was working fine, didn't change anything, when all the sudden the cron appears to now longer work properly:

Quote:
Standings Character -> Zella Polaris EVE API HTTP error: 404 -> Not Found


And not just for standings, but for each character. What happened? Is the EVE API site down? Or did something get fubared within my site without me touching it?


EVE API servers are screwing up, nothing to worry about.
Please keep track of the EVE Online newsfeed, as things like API server problems are posted there.

http://community.eveonline.com/news/news-channels/eve-online-news/api-server-offline/
Pesadel0
Sebiestor Tribe
Minmatar Republic
#767 - 2013-04-27 08:05:37 UTC
Guys just a question is it possible to configure the forum in a way to allow registration in the forum server linked to a jabber server?
Efraya
V0LTA
WE FORM V0LTA
#768 - 2013-04-30 12:27:55 UTC
I would also be curious to find out if registrations on a jabber server can be handled with the authentication system provided by the forum and API controlled.

[b][center]WSpace; Dead space.[/center] [center]Lady Spank for forum mod[/center][/b]

Go0fBall
Perkone
Caldari State
#769 - 2013-04-30 14:35:44 UTC
Hey folks, need some help with a somewhat frustrating issue. I recently setup and configured phpBB with the API Reg Mod. Everything is up to date, and for the most part works just fine.

Lately however, when certain individuals try to register for the board, they get " The value you entered is too short" error. It does not happen with everyone, just a few individuals, most with whom coincidentally seem to be from overseas.

I've tried registering personal alts after they reported the issue, and have no problems, my accounts register just fine lol What? .

I am running a custom theme on the board, however I followed the instructions as per the YouTube video, and followed the steps to get it to work with the API Mod in AutoMod.

Any help would be greatly appreciated. I'm not seeing anything as far as error logs, but not sure if I am looking in the right place?
ILLADEN
Native Freshfood
Minmatar Republic
#770 - 2013-05-05 00:46:25 UTC
o/

When trying to fetch EvE Portraits like descirbed in your video's I get a white page. Nothing of interest in error.log.

Could somebody help me troubleshoot this issue?
AzAkiR NaLDa
Presumed Dead Enterprises
Brave Collective
#771 - 2013-05-05 22:23:17 UTC
ILLADEN wrote:
o/

When trying to fetch EvE Portraits like descirbed in your video's I get a white page. Nothing of interest in error.log.

Could somebody help me troubleshoot this issue?


Make sure that the folder where the portraits are stored has writing permissions. Ihad this on my boards and setting the permissions fixed IT for me

Lone Star Warrior

ILLADEN
Native Freshfood
Minmatar Republic
#772 - 2013-05-06 02:34:46 UTC  |  Edited by: ILLADEN
The problem was that I didn't have Curl installed :P

Totally looked over that.
RazzTak
Caldari Provisions
Caldari State
#773 - 2013-05-07 08:10:43 UTC  |  Edited by: RazzTak
SOLVED...
o0beaner
Profiteering Privateers
#774 - 2013-05-07 19:45:07 UTC
Having an issue on a new phpbb3 install. The API mod seems to be working correctly, and I have successfully modified the style I am utilizing to display the API mod fields.

The issue I am having is with the [evefit] code. For some reason, the board isnt even trying to parse the code, so literally all I am getting back is the raw:

[evefit][Bantam, AWESOEM!!!11! import 1]
Ballistic Control System II
Ballistic Control System II

Micro Shield Extender II
Drone Navigation Computer I
Cap Recharger II
Target Painter II

Small Focused Pulse Laser II, Multifrequency S
Small Focused Pulse Laser II, Multifrequency S
Small Remote Hull Repair System II

Small Projectile Collision Accelerator I
Small Projectile Ambit Extension I
Small Projectile Metastasis Adjuster I[/evefit]

Any idea why I might be seeing this?
Cyerus
Eternal Strife
#775 - 2013-05-07 21:37:21 UTC  |  Edited by: Cyerus
o0beaner wrote:
Having an issue on a new phpbb3 install. The API mod seems to be working correctly, and I have successfully modified the style I am utilizing to display the API mod fields.

The issue I am having is with the [evefit] code. For some reason, the board isnt even trying to parse the code, so literally all I am getting back is the raw:

[evefit][Bantam, AWESOEM!!!11! import 1]
Ballistic Control System II
Ballistic Control System II

Micro Shield Extender II
Drone Navigation Computer I
Cap Recharger II
Target Painter II

Small Focused Pulse Laser II, Multifrequency S
Small Focused Pulse Laser II, Multifrequency S
Small Remote Hull Repair System II

Small Projectile Collision Accelerator I
Small Projectile Ambit Extension I
Small Projectile Metastasis Adjuster I[/evefit]

Any idea why I might be seeing this?

It doesn't work because you have weird characters in your fitting's name.


Efraya wrote:
I would also be curious to find out if registrations on a jabber server can be handled with the authentication system provided by the forum and API controlled.

ejabberd using external auth can do that. Required scripts are in the package, but require manual installation / configuration.

Go0fBall wrote:
Hey folks, need some help with a somewhat frustrating issue. I recently setup and configured phpBB with the API Reg Mod. Everything is up to date, and for the most part works just fine.

Lately however, when certain individuals try to register for the board, they get " The value you entered is too short" error. It does not happen with everyone, just a few individuals, most with whom coincidentally seem to be from overseas.

I've tried registering personal alts after they reported the issue, and have no problems, my accounts register just fine lol What? .

I am running a custom theme on the board, however I followed the instructions as per the YouTube video, and followed the steps to get it to work with the API Mod in AutoMod.

Any help would be greatly appreciated. I'm not seeing anything as far as error logs, but not sure if I am looking in the right place?

It's probably because those members are saving their details in their browser, meaning the wrong fields are automatically trying to be filled in by their browser.
ILLADEN
Native Freshfood
Minmatar Republic
#776 - 2013-05-08 12:13:23 UTC
Hello;


You coded a requirement for the file eveapi_mod_certs.php in includes/eveapi. However, this file does not exist and wasn't included in the zip. This results in all kinds of broken things. What's up with this?

Although the issues described above is far more crtitical, in response to "Go0fBall" I am also expiriencing the same issue. No matter what's insterted it returns two 'The value is too short' messages. In your case some people are still able to sucessfully register, in my case they aren't. Unfortunatly the issues isn't that the browser tries to push standard 'saved' information into the form. A fresh virtualbox with firefox gives exactly the same error.

Keep up the good work Cyerus!


Yours Sincereley,
ILLADEN
Hazmat Spade
Reaping Dragons
Pan-Intergalatic Business Community
#777 - 2013-05-08 16:51:01 UTC
Hello,

I just installed latest versions of phpbb3 " clean install " and your mod following your video

and i get

The value you entered is too short.

when you try to update your API via UCP, and when a new user tries to Register.

i have wiped it out and tried 3 times already.


what im doing exactly

clean current PHPBB3 release
Automod
UMIL
your api mod.
Hazmat Spade
Reaping Dragons
Pan-Intergalatic Business Community
#778 - 2013-05-08 17:48:48 UTC  |  Edited by: Hazmat Spade
i was wrong i thought it was board3 causing the issue, but board3 is not causing the issue

i just did another clean install just phpbb3, automod, umil, then eve api and you can update your api if your already registered, but new registrants it gives the error

blah blah too short.
Cyerus
Eternal Strife
#779 - 2013-05-08 22:32:20 UTC  |  Edited by: Cyerus
ILLADEN wrote:
Hello;


You coded a requirement for the file eveapi_mod_certs.php in includes/eveapi. However, this file does not exist and wasn't included in the zip. This results in all kinds of broken things. What's up with this?

Although the issues described above is far more crtitical, in response to "Go0fBall" I am also expiriencing the same issue. No matter what's insterted it returns two 'The value is too short' messages. In your case some people are still able to sucessfully register, in my case they aren't. Unfortunatly the issues isn't that the browser tries to push standard 'saved' information into the form. A fresh virtualbox with firefox gives exactly the same error.

Keep up the good work Cyerus!


Yours Sincereley,
ILLADEN

The requirement for eveapi_mod_certs.php is within an if() statement and should not cause any errors, as that config value isn't part of the mod either, meaning that the if() statement never turns true, and thus never runs that line.

Quote:
The value you entered is too short.

Works for me. Sometimes people change their API vCode (making them shorter). As the forum checks its size, you'll receive that error. Let those users update their API vCode by pressing generate a few times, and the problem should go away.
ILLADEN
Native Freshfood
Minmatar Republic
#780 - 2013-05-09 10:48:44 UTC  |  Edited by: ILLADEN
Cyerus wrote:

The requirement for eveapi_mod_certs.php is within an if() statement and should not cause any errors, as that config value isn't part of the mod either, meaning that the if() statement never turns true, and thus never runs that line.


Hello;


Thank you for your reply. Although it isn't a problem for me to edit out the code, I wanted to tell you that my server triggered the if statement when I added an API key in the standings menu.

Would you be able to tell me where in your code the mod checks for the value size?



Yours sincereley,
ILLADEN